@import url("../../cassiopeia_kbp5_bg/css/user.css");

:root {
	--cassiopeia-color-primary: #b3001a;
}

/*.container-component>:first-child, 
.container-component>*+* {
	margin-top: 0;
}*/

/* Menu Wirtualna czytelnia - lata */
.vczyt ul.dj-megamenu-clean {
	justify-content: center;
	z-index: 0;
}
.vczyt li,
.vczyt li a {
	transition: all 0.1s ease !important;
}
.vczyt li a.dj-up_a > span {
	height: initial;
	flex-direction: column;
	flex-wrap: nowrap !important;
}
.vczyt li a.dj-up_a .dj-icon + span {
	margin-left: 0 !important;
}
.vczyt li a.dj-up_a {
	padding: 0 15px !important;
}
.vczyt li:hover,
.vczyt li.active {
	background-color: var(--cassiopeia-color-primary);
	color: #fff !important;
}
.vczyt li:has(:focus-visible) {
	
	background-color: var(--cassiopeia-color-primary);
}
.vczyt li:has(:focus-visible) a {
	color: #fff !important;
	outline: none !important;
}
/*.vczyt li:has(:focus-visible) {
	background-color: var(--cassiopeia-color-primary);
	outline: 2px dotted red;
	color: #fff !important;
}*/
.vczyt li:hover a.dj-up_a,
.vczyt li.hover a.dj-up_a,
.vczyt li:active a.dj-up_a,
.vczyt li.active a.dj-up_a {
	color: #fff !important;
}


/* Układ artykułów MASONRY */
div.masongrid {
	margin: 0 auto;
}
div.masongrid-item {
	float: none;
	margin: 5px;
	max-width: 250px;
	min-width: 150px;
	border: 2px solid #c1c1c1;
	background: #fff;
	padding: 5px;
	left: 0;
	top: 0;
	transition: all 0.9s;
}
div.masongrid div.masongrid-item:hover,
div.masongrid div.masongrid-item:has(:focus-visible) {
	box-shadow: 0 0 15px #000;
	transition: all 0.1s;
	z-index: 1000;
	transform: scale(1.03);
}
a p.bpintrotext {
	margin: 0;
	color: #000;
}
a p.bpkategoria {
	margin: 10px 0;
	font-size: 90%;
}
.masongrid-item h2 {
	font-size: 1.3rem;
}
.masongrid-item:hover h2 {
	color: var(--cassiopeia-color-primary);
}
.masongrid-item .introtext {
	color: initial;
}
.masongrid-item .page-header {
	margin-bottom: 0;
}
.masongrid-item figure {
	margin-bottom: 1em;
}
.masongrid .econaImage a::after {
    content: "";
    position: absolute;
    inset: 0;
}
.masongrid .fields-container {
	list-style-type: none;
	padding-left: 0;
}
dd.category-name .infokat {
	font-weight: bold;
}
.view-category dd.create,
.view-category dd.hits {
	display: none;
}


/* Widok pojedynczego artykułu */
.view-article h1 {
	font-size: 1.6rem;
	margin-top: 20px;
}
.naked dd,
.view-article dd {
	display: inline-block;
	padding-right: 10px;
}
.naked .bp_cover_block,
.view-article .bp_cover_block {
	float: left;
	margin: 0 20px 10px 0;
}
.naked figure.bp_cover,
.view-article figure.bp_cover {
	margin-bottom: 1rem;
}
.cf-opis {
	clear: both;
}
.cf-opis ul {
	display: table;
	padding-left: 0;
}
.cf-opis li {
	display: table-row;
}
.cf-opis li span {
	display: table-cell;
	padding: .1rem 1rem .1rem .1rem;
}
.cf-opis li span:nth-child(1) {
	font-weight: bold;
}
.cd {
	float: right;
}
.bpalma {
	margin: 50px 0 20px;
	text-align: center;
}
.bpalma a {
	transition: all .2s ease;
	padding: 5px 10px;
	border: 2px solid var(--cassiopeia-color-primary);
	text-decoration: none;
}
.bpalma a:hover {
	background-color: var(--cassiopeia-color-primary);
	color: #fff;
}
.gry-unfolded {
	text-align: center;
}
.df-ui-nav .df-ui-btn:before {
	color: var(--cassiopeia-color-primary) !important;
	font-size: 3rem;
	filter: none !important;
}